Name:           python-aiostream
Version:        0.5.2
Release:        2%{?dist}
Summary:        Generator-based operators for asynchronous iteration

License:        GPL-3.0-only
URL:            https://github.com/vxgmichel/aiostream
Source:         %{pypi_source aiostream}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
aiostream provides a collection of stream operators that can be combined to
create asynchronous pipelines of operations.

It can be seen as an asynchronous version of itertools, although some aspects
are slightly different. Essentially, all the provided operators return a
unified interface called a stream.}

%description %_description

%package -n python3-aiostream
Summary:        %{summary}

%description -n python3-aiostream %_description


%prep
%autosetup -p1 -n aiostream-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files aiostream


%check
%pyproject_check_import


%files -n python3-aiostream -f %{pyproject_files}
%doc README.*


%changelog
* Tue Feb 06 2024 David Kaufmann <astra@ionic.at> - 0.5.2-1
- Initial version
